Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		bison
Version:	2.3
Release:	1
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnu.org/software/bison/bison.html
Group:		System/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Bison is a general-purpose parser generator.
PreReq:		/sbin/install-info
BuildRequires:	glibc-devel

%description
Bison is a general-purpose parser generator that converts a grammar description for an LALR
context-free grammar into a C program to parse that grammar.
Once you are proficient with Bison, you can use it to develop a wide range of language parsers,
from those used in simple desk calculators to complex programming languages.
Bison is upward compatible with Yacc:
all properly-written Yacc grammars ought to work with Bison with no change.
Anyone familiar with Yacc should be able to use Bison with little trouble.
You need to be fluent in C programming in order to use Bison. 
For more details see: http://www.gnu.org/software/bison/bison.html

%post
/sbin/install-info %{_infodir}/bison.info.gz %{_infodir}/dir
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/bison.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
				--mandir=%_mandir \
				--infodir=%_infodir \
				--disable-dependency-tracking
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%_infodir/dir
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir/*
%_libdir/*
%_datadir/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 17 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3-1
- version update
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 2.1-1
- Version update, removed wrong obsoletes Tag, added infofile install
* Sun Apr 24 2005 Christian Wasem <wasem@ccux-linux.de> 2.0-1
- update to Version 2.0
